at.chipkarte.client.dmp.soap

## Class Textmeldung

- Object
- - at.chipkarte.client.dmp.soap.Textmeldung

-     public class Textmeldung
      extends Object

  Enthält Meldungen zu einem Patienten. Abbhängig von der Selektionsart wird wahlweise das Feld `freieMeldung` oder `strukturierteMeldung` versorgt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Textmeldung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDmpCode()` Code des Disease Management Programms, für das die Textmeldung erstellt wurde.
    `String` | `getErzeugungsZeitstempel()` Zeitpunkt zu dem diese Textmeldung erzeugt wurde.
    `String` | `getFreieMeldung()` Konkrete Patienteninformation in freiem Textformat.
    `String` | `getStrukturierteMeldung()` Konkrete Patienteninformation in strukturierter Form (z.B.
    `void` | `setDmpCode(String dmpCode)`
    `void` | `setErzeugungsZeitstempel(String erzeugungsZeitstempel)`
    `void` | `setFreieMeldung(String freieMeldung)`
    `void` | `setStrukturierteMeldung(String strukturierteMeldung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Textmeldung

          public Textmeldung()

  - ### Method Detail

    - #### getDmpCode

          public String getDmpCode()

      Code des Disease Management Programms, für das die Textmeldung erstellt wurde.
      Mögliche Werte siehe Funktion `getDMPs()`.
      Format: maximal 2-stellig.
      Returns:
        Code des Disease Management Programms

    - #### getErzeugungsZeitstempel

          public String getErzeugungsZeitstempel()

      Zeitpunkt zu dem diese Textmeldung erzeugt wurde.
      Format: "TT.MM.JJJJ HH:MM".
      Returns:
        ErzeugungsZeitstempel

    - #### getFreieMeldung

          public String getFreieMeldung()

      Konkrete Patienteninformation in freiem Textformat.
      Dieses Feld ist nur dann versorgt, wenn in den Eingangsparametern der aufrufenden Funktion der Parameter `strukturierteMeldung` mit `False` versorgt wurde.
      Format: maximal 2000-stellig.
      Returns:
        Konkrete Patienteninformation in freiem Textformat

    - #### getStrukturierteMeldung

          public String getStrukturierteMeldung()

      Konkrete Patienteninformation in strukturierter Form (z.B. XML) in Base64-Format.
      Die Struktur ist transparent und dem e-card System nicht bekannt.
      Dieses Feld ist nur dann versorgt, wenn in den Eingangsparametern der aufrufenden Funktion der Parameter `strukturierteMeldung` mit `True` versorgt wurde.
      Format: maximal 4000-stellig.
      Returns:
        Konkrete Patienteninformation in strukturierter Form

    - #### setDmpCode

          public void setDmpCode(String dmpCode)

    - #### setErzeugungsZeitstempel

          public void setErzeugungsZeitstempel(String erzeugungsZeitstempel)

    - #### setFreieMeldung

          public void setFreieMeldung(String freieMeldung)

    - #### setStrukturierteMeldung

          public void setStrukturierteMeldung(String strukturierteMeldung)